Bug 1282663 - [abrt] gvfs: __strcmp_sse2_unaligned(): gvfsd-dnssd killed by SIGSEGV
[abrt] gvfs: __strcmp_sse2_unaligned(): gvfsd-dnssd killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ee08be1b6e5d685fb0067f8abbf...
:
: 1285538 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 20:53 EST by Nguyễn Xuân Tùng
Modified: 2016-07-29 08:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 07:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.38 KB, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: core_backtrace (4.12 KB, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: dso_list (3.30 KB, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: environ (790 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: maps (16.52 KB, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: mountinfo (3.40 KB, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: open_fds (507 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details
File: var_log_messages (317 bytes, text/plain)
2015-11-16 20:53 EST, Nguyễn Xuân Tùng
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 631023 None None None Never

  None (edit)
Description Nguyễn Xuân Tùng 2015-11-16 20:53:14 EST
Description of problem:
I power up my computer, turn down my volume from 70% to 20%, open email client Evolution, open firefox. Then I read an email, save an attactment to my desktop (a PDF file). Then I see a notification that appears. 

Version-Release number of selected component:
gvfs-1.26.1.1-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-dnssd --spawner :1.3 /org/gtk/gvfs/exec_spaw/4
crash_function: __strcmp_sse2_unaligned
executable:     /usr/libexec/gvfsd-dnssd
global_pid:     3059
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:29
 #1 lookup_link_file_by_name_and_type at gvfsbackenddnssd.c:377
 #2 resolve_callback at gvfsbackenddnssd.c:570
 #3 avahi_service_resolver_event at resolver.c:146
 #4 filter_func at client.c:256
 #6 dispatch_timeout_callback at ../avahi-common/dbus-watch-glue.c:105
 #7 start_timeout_callback at glib-watch.c:252
 #8 dispatch_func at glib-watch.c:331
 #13 daemon_main at daemon-main.c:396
Comment 1 Nguyễn Xuân Tùng 2015-11-16 20:53:19 EST
Created attachment 1095182 [details]
File: backtrace
Comment 2 Nguyễn Xuân Tùng 2015-11-16 20:53:20 EST
Created attachment 1095183 [details]
File: cgroup
Comment 3 Nguyễn Xuân Tùng 2015-11-16 20:53:22 EST
Created attachment 1095184 [details]
File: core_backtrace
Comment 4 Nguyễn Xuân Tùng 2015-11-16 20:53:23 EST
Created attachment 1095185 [details]
File: dso_list
Comment 5 Nguyễn Xuân Tùng 2015-11-16 20:53:25 EST
Created attachment 1095186 [details]
File: environ
Comment 6 Nguyễn Xuân Tùng 2015-11-16 20:53:26 EST
Created attachment 1095187 [details]
File: exploitable
Comment 7 Nguyễn Xuân Tùng 2015-11-16 20:53:28 EST
Created attachment 1095188 [details]
File: limits
Comment 8 Nguyễn Xuân Tùng 2015-11-16 20:53:30 EST
Created attachment 1095189 [details]
File: maps
Comment 9 Nguyễn Xuân Tùng 2015-11-16 20:53:31 EST
Created attachment 1095190 [details]
File: mountinfo
Comment 10 Nguyễn Xuân Tùng 2015-11-16 20:53:33 EST
Created attachment 1095191 [details]
File: namespaces
Comment 11 Nguyễn Xuân Tùng 2015-11-16 20:53:34 EST
Created attachment 1095192 [details]
File: open_fds
Comment 12 Nguyễn Xuân Tùng 2015-11-16 20:53:36 EST
Created attachment 1095193 [details]
File: proc_pid_status
Comment 13 Nguyễn Xuân Tùng 2015-11-16 20:53:37 EST
Created attachment 1095194 [details]
File: var_log_messages
Comment 14 Ondrej Holy 2015-11-26 07:42:45 EST
*** Bug 1285538 has been marked as a duplicate of this bug. ***
Comment 15 The Source 2016-03-25 01:18:57 EDT
Similar problem has been detected:

This crash happens often when I login to desktop (plasma 5) after system boot

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-dnssd --spawner :1.4 /org/gtk/gvfs/exec_spaw/5
crash_function: __strcmp_sse2_unaligned
executable:     /usr/libexec/gvfsd-dnssd
global_pid:     3514
kernel:         4.4.6-300.fc23.x86_64
package:        gvfs-1.26.3-1.fc23
reason:         gvfsd-dnssd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Ondrej Holy 2016-07-29 08:09:03 EDT
I've pushed fix in upstream, which should be part of next gvfs update...

Note You need to log in before you can comment on or make changes to this bug.